org.apache.fop.render.pcl

## Interface PCLEventProducer

All Superinterfaces:
  EventProducer

    public interface PCLEventProducer
    extends EventProducer

Event producer interface for events generated by the PCL renderer.

### Nested Class Summary

Nested Classes
`static class` `PCLEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `fontTypeNotSupported(Object source, String fontName, String supportedTypes)` The font type is not supported for PCL output.
`void` `paperTypeUnavailable(Object source, long pageWidth, long pageHeight, String fallbackPaper)` Paper type could not be determined.

### Method Detail

#### paperTypeUnavailable

    void paperTypeUnavailable(Object source,
                              long pageWidth,
                              long pageHeight,
                              String fallbackPaper)

Paper type could not be determined. Falling back to another.

Parameters:
  `source` - the event source
  `pageWidth` - the page width (in millipoints)
  `pageHeight` - the page height (in millipoints)
  `fallbackPaper` - the paper type that will be used instead
Event.severity:
  WARN

#### fontTypeNotSupported

    void fontTypeNotSupported(Object source,
                              String fontName,
                              String supportedTypes)

The font type is not supported for PCL output.

Parameters:
  `source` - The event source
  `fontName` - The name of the font not supported
  `supportedTypes` - The types of fonts currently supported
Event.severity:
  ERROR